/* Copyright (C) 2024 Manuel Bustillo*/

import { lusitana } from '@/app/ui/fonts';
import AffinityGroupsTree from '@/app/ui/guests/affinity-groups-tree';
import GuestsTable from '@/app/ui/guests/table';
import React, { Suspense } from 'react';
import SkeletonTable from '@/app/ui/guests/skeleton-row';



export default function Page() {
  return (
    <div className="w-full">
      <AffinityGroupsTree />

      <h1 className={`${lusitana.className} text-2xl py-4`}>Guests</h1>
      <div className="flex w-full items-center justify-between">
        <Suspense fallback={<SkeletonTable />}>
          <GuestsTable />
        </Suspense>
      </div>
    </div>
  );
}